openssl_private_encrypt
openssl_public_encrypt
OpenSSL Funkcje
PHP Manual

# openssl_public_decrypt

(PHP 4 >= 4.0.6, PHP 5)

openssl_public_decrypt — Decrypts data with public key

### Opis

bool openssl_public_decrypt ( string `$data` , string `&$decrypted` , mixed `$key` [, int `$padding` ] )

openssl_public_decrypt() decrypts `data` that was previous encrypted via openssl_private_encrypt() and stores the result into `decrypted` .

You can use this function e.g. to check if the message was written by the owner of the private key.

### Parametry

`data`

`decrypted`

`key`

  `key` must be the public key corresponding that was used to encrypt the data.

`padding`

  `padding` defaults to `OPENSSL_PKCS1_PADDING`, but can also be `OPENSSL_NO_PADDING`.

### Zwracane wartości

Zwraca `TRUE` w przypadku powodzenia, `FALSE` w przypadku błędu.

### Patrz także

- openssl_private_encrypt()
- openssl_private_decrypt()

openssl_private_encrypt
openssl_public_encrypt
OpenSSL Funkcje
PHP Manual